ArgumentCompletor.ArgumentList
Date: 2015-12-09

jline

## Class ArgumentCompletor.ArgumentList

- java.lang.Object
- - jline.ArgumentCompletor.ArgumentList

- Enclosing class:
    ArgumentCompletor

      public static class ArgumentCompletor.ArgumentList
      extends java.lang.Object

  The result of a delimited buffer.
  Author:
    Marc Prud'hommeaux

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgumentCompletor.ArgumentList(java.lang.String[] arguments, int cursorArgumentIndex, int argumentPosition, int bufferPosition)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArgumentPosition()`
    `java.lang.String[]` | `getArguments()`
    `int` | `getBufferPosition()`
    `java.lang.String` | `getCursorArgument()`
    `int` | `getCursorArgumentIndex()`
    `void` | `setArgumentPosition(int argumentPosition)`
    `void` | `setArguments(java.lang.String[] arguments)`
    `void` | `setBufferPosition(int bufferPosition)`
    `void` | `setCursorArgumentIndex(int cursorArgumentIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArgumentCompletor.ArgumentList

          public ArgumentCompletor.ArgumentList(java.lang.String[] arguments,
                                        int cursorArgumentIndex,
                                        int argumentPosition,
                                        int bufferPosition)

      Parameters:
        `arguments` - the array of tokens
        `cursorArgumentIndex` - the token index of the cursor
        `argumentPosition` - the position of the cursor in the current token
        `bufferPosition` - the position of the cursor in the whole buffer

  - ### Method Detail

    - #### setCursorArgumentIndex

          public void setCursorArgumentIndex(int cursorArgumentIndex)

    - #### getCursorArgumentIndex

          public int getCursorArgumentIndex()

    - #### getCursorArgument

          public java.lang.String getCursorArgument()

    - #### setArgumentPosition

          public void setArgumentPosition(int argumentPosition)

    - #### getArgumentPosition

          public int getArgumentPosition()

    - #### setArguments

          public void setArguments(java.lang.String[] arguments)

    - #### getArguments

          public java.lang.String[] getArguments()

    - #### setBufferPosition

          public void setBufferPosition(int bufferPosition)

    - #### getBufferPosition

          public int getBufferPosition()